Bug 1431445

Summary: Review Request: avogadro2-libs - Avogadro2 libraries
Product: [Fedora] Fedora Reporter: Antonio T. (sagitter) <anto.trande>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-04-21 14:27:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1431443, 1431444    
Bug Blocks: 1431448    

Description Antonio T. (sagitter) 2017-03-12 15:55:51 UTC
Spec URL: https://sagitter.fedorapeople.org/avogadro2/avogadro2-libs.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/sagitter/avogadro2/fedora-rawhide-x86_64/00525433-avogadro2-libs/avogadro2-libs-1.90.0-4.fc27.src.rpm

Description: 
Avogadro libraries provide 3D rendering, visualization, analysis
and data processing useful in computational chemistry, molecular modeling,
bioinformatics, materials science, and related areas.

Fedora Account System Username: sagitter

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-03-13 15:23:40 UTC
%setup -q -n avogadrolibs-%{version}
%patch0 -p0
...
→
%autosetup -n avogadrolibs-%{version}

Why not use VTK? It's packaged and works quite well in Fedora...

Can you explain how License is calculated? I only see a single COPYING file with 3-clause BSD.

Comment 2 Antonio T. (sagitter) 2017-03-13 16:55:02 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> %setup -q -n avogadrolibs-%{version}
> %patch0 -p0
> ...
> →
> %autosetup -n avogadrolibs-%{version}
> 
> Why not use VTK? It's packaged and works quite well in Fedora...

It is not compatible with vtk-7.1.0 yet.
https://github.com/OpenChemistry/avogadrolibs/issues/174

> 
> Can you explain how License is calculated? I only see a single COPYING file
> with 3-clause BSD.

MIT is the license of 'jsoncpp.a' file.

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-03-13 19:26:38 UTC
This information (both pieces) should be added as comments in the spec file. The description of licensing breakdown is required by the guidelines [https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios].

+ license is acceptable (MIT, BSD 3-clause)
+ license is specified correctly, but see note above
+ package name is OK (upstream uses 'avogadrolibs', but avogadro2-libs matches better with avogadro2, so it's better)
+ builds and installs OK
+ fedora-review has no complaints
+ jsoncpp.a:
  Provides: jsoncpp-static is declared,
  the library is in a private directory
+ P/R/BR look correct
- scriptlets are missing: https://fedoraproject.org/wiki/Packaging:Scriptlets#Shared_libraries

rpmlint:
avogadro2-libs.src: W: spelling-error %description -l en_US bioinformatics -> misinformation, information
avogadro2-libs.x86_64: W: spelling-error %description -l en_US bioinformatics -> misinformation, information
Bogus.

avogadro2-libs.src:28: W: unversioned-explicit-provides jsoncpp-static
Please provide the version (e.g. " = XXXXYYZZ") if possible.

avogadro2-libs.x86_64: E: invalid-soname /usr/lib64/libAvogadroIO.so libAvogadroIO.so
...
avogadro2-libs.x86_64: E: invalid-soname /usr/lib64/libAvogadroQtPlugins.so libAvogadroQtPlugins.so
I *think* that's OK.

avogadro2-libs.x86_64: W: shared-lib-calls-exit /usr/lib64/libAvogadroQtPlugins.so exit@GLIBC_2.2.5
Dunno.

avogadro2-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/avogadro2/staticplugins/Spectra.a
...
avogadro2-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/avogadro2/staticplugins/NetworkDatabases.a
avogadro2-libs.x86_64: W: devel-file-in-non-devel-package /usr/lib64/avogadro2/libjsoncpp.a
Those are plugins, so OK.

avogadro2-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
avogadro2-libs.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
Known bug in rpmlint [https://fedoraproject.org/wiki/Changes/ParallelInstallableDebuginfo].

avogadro2-libs-devel.x86_64: W: only-non-binary-in-usr-lib
avogadro2-libs-devel.x86_64: W: no-documentation
OK.

5 packages and 0 specfiles checked; 8 errors, 46 warnings.

Package is APPROVED. Please add the two comments and version tag (if possible) and scriptlets when uploading.

Comment 5 Zbigniew Jędrzejewski-Szmek 2017-03-13 20:05:38 UTC
Yep, looks all good.

Comment 6 Gwyn Ciesla 2017-03-20 12:48:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/avogadro2-libs

Comment 7 Fedora Update System 2017-04-15 20:37:59 UTC
avogadro2-libs-1.90.0-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a7d940435

Comment 8 Fedora Update System 2017-04-15 20:38:08 UTC
avogadro2-libs-1.90.0-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd92aa1f78

Comment 9 Fedora Update System 2017-04-16 21:24:18 UTC
avogadro2-libs-1.90.0-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2a7d940435

Comment 10 Fedora Update System 2017-04-16 23:22:32 UTC
avogadro2-libs-1.90.0-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dd92aa1f78

Comment 11 Fedora Update System 2017-04-21 14:27:22 UTC
avogadro2-libs-1.90.0-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-25 02:23:21 UTC
avogadro2-libs-1.90.0-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.